<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Troubleshooting
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Introduction_7439941.html">Introduction</a></span>
              </li>
              <li>
                <span><a href="Getting-Started_7439062.html">Getting Started</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Troubleshooting</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Thorsten Vitt</span>, last modified by <span class="editor">Mathias Göbel</span> on Sep 21, 2015
          </div>
          <div id="main-content" class="wiki-content group">
            <h1 id="Troubleshooting-Troubleshooting">
              Troubleshooting
            </h1>
            <p>
              Usually, it's just <a href="Download_7439066.html">download, unzip &amp; run</a>; this page offers solutions for system-specific issues and special requirements. <strong>At the moment, there are no known Windows 8 specific problems with TextGrid.</strong>
            </p>
            <style type="text/css">
            /**/
            div.rbtoc1445958903817 {padding: 0px;}
            div.rbtoc1445958903817 ul {list-style: disc;margin-left: 0px;}
            div.rbtoc1445958903817 li {margin-left: 0px;padding-left: 0px;}

            /**/
            </style>
            <div class="toc-macro rbtoc1445958903817">
              <ul class="toc-indentation">
                <li>
                  <a href="#Troubleshooting-Troubleshooting">Troubleshooting</a>
                  <ul class="toc-indentation">
                    <li>
                      <a href="#Troubleshooting-Authentificationfails(Windows10)">Authentification fails (Windows 10)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-TextGridLabdoesn'tstart:JVMerror13(Windows,Linux)">TextGridLab doesn't start: JVM error 13 (Windows, Linux)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Browsercomponentsdonotwork(Linux)">Browser components do not work (Linux)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-ProblemsextractingtheTextGridLabZIP(WindowsXPonly)">Problems extracting the TextGridLab ZIP (Windows XP only)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-AdvancedUnicodecharactersnotdisplayedcorrectly(WindowsXPonly)">Advanced Unicode characters not displayed correctly (Windows XP only)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Helpsystemdoesnotwork(Windows)">Help system does not work (Windows)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Installationof,e.g.,oXygenabortsreproduciblyaftersomedownloadtime(Windows)">Installation of, e.g., oXygen aborts reproducibly after some download time (Windows)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Antivirussoftware(Windows)">Antivirus software (Windows)</a>
                    </li>
                  </ul>
                </li>
                <li>
                  <a href="#Troubleshooting-AdvancedInstallationScenarios">Advanced Installation Scenarios</a>
                  <ul class="toc-indentation">
                    <li>
                      <a href="#Troubleshooting-InstalltheTextGridLabonceformultipleusers">Install the TextGridLab once for multiple users</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-DeployaportableTextGridLabincludingJava">Deploy a portable TextGridLab including Java</a>
                    </li>
                  </ul>
                </li>
              </ul>
            </div>
            <p>
               
            </p>
            <p>
               
            </p>
            <h2 id="Troubleshooting-Authentificationfails(Windows10)">
              Authentification fails (Windows 10)
            </h2>
            <div>
              Major changes in Windows 10 require a change in the file textgirdlab.ini. Find this file in your TextGridLab folder and replace the last line
            </div>
            <pre>-Dorg.eclipse.browser.IEVersion=11</pre>
            <div>
              <span>with</span>
            </div>
            <pre>#-Dorg.eclipse.browser.IEVersion=11</pre>
            <p>
              After a restart of the TextGridLab t<span>his change will take effect.</span>
            </p>
            <h2 id="Troubleshooting-TextGridLabdoesn'tstart:JVMerror13(Windows,Linux)">
              TextGridLab doesn't start: JVM error 13 (Windows, Linux)
            </h2>
            <p>
              You are using the wrong 32/64 bit variant of the TextGridLab. Download the other one and it will probably just start fine.
            </p>
            <p>
              The TextGridLab variant must match that of the Java environment you are using. <strong>Windows users will typically use the 32-bit version</strong>, since Oracle's default Java installer seems to install a 32-bit Java even on 64-bit Windows systems.
            </p>
            <h2 id="Troubleshooting-Browsercomponentsdonotwork(Linux)">
              Browser components do not work (Linux)
            </h2>
            <p class="bodytext">
              If you are using Linux and the welcome screen remains blank and you get an error message when trying to login, you need to install <a href="apt://libwebkitgtk-1.0-0" title="Installs the package, if supported" rel="nofollow">WebKit-GTK 1.x</a>. On Ubuntu or Debian, you may click the link above or enter
            </p>
            <pre>sudo apt-get install libwebkitgtk-1.0-0</pre>
            <p class="bodytext">
              in a terminal window to do so [<a href="https://develop.sub.uni-goettingen.de/jira/browse/TG-1903" class="external-link" rel="nofollow">TG-1903</a>]. On Fedora [<a href="https://projects.gwdg.de/issues/9433" class="external-link" rel="nofollow">#9433</a>], you additionally need to symlink the library to its old name <code>libwebkit-1.0.so.2</code>:
            </p>
            <div class="code panel pdl" style="border-width: 1px;">
              <div class="codeContent panelContent pdl">
                <pre class="theme: Confluence; brush: bash; gutter: false" style="font-size:12px;">sudo yum install webkitgtk.i686
cd /usr/lib      # or cd /usr/lib64 on 64-bit versions
ln -s libwebkitgtk-1.0.so.0 libwebkit-1.0.so.2</pre>
              </div>
            </div>
            <p>
              For TextGridLab versions up to 2.0.5 you will also need to install the SWT patch as described in <a href="https://projects.gwdg.de/issues/9717#note-4" class="external-link" rel="nofollow">bug #9717 comment 4</a>. Up-to-date TextGridLab versions already include the patch.
            </p>
            <h2 id="Troubleshooting-ProblemsextractingtheTextGridLabZIP(WindowsXPonly)">
              Problems extracting the TextGridLab ZIP (Windows XP only)
            </h2>
            <p>
              When trying to extract the TextGridLab ZIP on Windows XP and the target directory has a relatively long overall path, Windows' built-in extractor might fail: The extraction wizard asks for a password, and extracting via drag&amp;drop causes some files to be missing, e.g. textgridlab.exe. There are two alternate solutions:
            </p>
            <ul>
              <li>use a better unzip tool, e.g., <a href="http://7-zip.org" class="external-link" rel="nofollow">7-Zip</a>
              </li>
              <li>extract to a shorter path, e.g., <code>C:\TEMP</code>
              </li>
            </ul>
            <h2 id="Troubleshooting-AdvancedUnicodecharactersnotdisplayedcorrectly(WindowsXPonly)">
              Advanced Unicode characters not displayed correctly (Windows XP only)
            </h2>
            <p>
              Unicode characters that are beyond the BMP (i.e., codepoints above 0xFFFF, like many musical symbols) are represented using so-called <em>surrogate pairs</em>, i.e. by two consecutive characters from special Unicode blocks. Windows XP does support rendering these characters, but the support is not enabled out of the box. Newer versions of Windows as well as MacOS X and Linux support surrogate pairs out of the box.
            </p>
            <p>
              To enable support for advanced unicode characters on Windows XP you need to add a key to your registry:
            </p>
            <ol>
              <li>
                <a href="attachments/18809102/18940134.reg">Download the file Unicode-Surrogate-Support.reg</a>
              </li>
              <li>Double-click it and confirm the dialog box
              </li>
              <li>Restart your Windows.
              </li>
            </ol>
            <p>
              [<a href="https://develop.sub.uni-goettingen.de/jira/browse/TG-1940" class="external-link" rel="nofollow">TG-1940</a>]
            </p>
            <h2 id="Troubleshooting-Helpsystemdoesnotwork(Windows)">
              Help system does not work (Windows)
            </h2>
            <p>
              Windows users that use a <a href="http://en.wikipedia.org/wiki/Personal_firewall" class="external-link" rel="nofollow">desktop firewall</a> may observe that displaying the help contents or actual help topics does not work. The reason for this is that the TextGridLab help system starts a local web server which then offers the help documents to either your preferred browser or the included tooling.
            </p>
            <p>
              To get the help system to work in these cases you need to unblock TextGridLab in your personal firewall. Alternatively, use the <a href="User-Manual-2.0_7439056.html">online user manual</a>. [<a href="https://develop.sub.uni-goettingen.de/jira/browse/TG-1998" class="external-link" rel="nofollow">TG-1998</a>]
            </p>
            <h2 id="Troubleshooting-Installationof,e.g.,oXygenabortsreproduciblyaftersomedownloadtime(Windows)">
              Installation of, e.g., oXygen aborts reproducibly after some download time (Windows)
            </h2>
            <p>
              Temporarily disable your virus scanner (problem observed with Avira).
            </p>
            <p>
              Background: Installing oXygen requires downloading a rather large (~ 100MB) plugin file from their servers. This usually works fine, but Avira's anti-virus filter gets in the way: It redirects the download to a temporary location, scans the file for viruses after it has been completely downloaded and only after that passes the file on to TextGridLab's installation mechanism. To the TextGridLab's install and update component, this looks like the oXygen servers do not react to the Lab's request, and it will eventually abort with a timeout error. <a href="https://develop.sub.uni-goettingen.de/jira/browse/TG-1965" class="external-link" rel="nofollow">[TG-1965</a>]
            </p>
            <h2 id="Troubleshooting-Antivirussoftware(Windows)">
              Antivirus software (Windows)
            </h2>
            <p>
              Users of "Avira Anti-Virus" reported troubles regarding the installation of oXygen (see above) and different tools. For example the preview within the XML editor is not available as long as a XSLT load external ressources. To get rid of this problem you can whitelist the TextGridLab for the "Realtime Protection" <strong>and</strong> the "WebGuard" or deactivate both scanners during your TextGridLab session. Furthermore users have to whitelist all external ressources for the WebGuard.
            </p>
            <h1 id="Troubleshooting-AdvancedInstallationScenarios">
              Advanced Installation Scenarios
            </h1>
            <h2 id="Troubleshooting-InstalltheTextGridLabonceformultipleusers">
              Install the TextGridLab once for multiple users
            </h2>
            <p>
              The TextGridLab needs a writeable area on your hard disk to store settings and working data. By default, it will create and use a folder named <code>workspace</code> in the current working directory – this will typically be the TextGridLab's application folder. If this directory is not writeable (e.g., because an administrator installs the TextGridLab for all users to a read-only directory), you need to tell it an alternative. There are two ways to do so:
            </p>
            <ol>
              <li>
                <p>
                  As an administrator, you can edit the file <code>textgridlab.ini</code> in the TextGridLab application directory. <em>Before</em> the line containing <code>-jvmArgs</code>, add two lines:
                </p>
                <div class="code panel pdl" style="border-width: 1px;">
                  <div class="codeContent panelContent pdl">
                    <pre class="theme: Confluence; brush: java; gutter: false" style="font-size:12px;">-data
@user.home/TextGridLab-Workspace</pre>
                  </div>
                </div>
                <p>
                  This will cause the TextGridLab to use the directory <code>TextGridLab-Workspace</code> in the current user's personal directory. The first line must always be <code>-data</code>, the second line contains the target directory; <code>@user.home</code> is a macro that will be expanded to the user's home directory.
                </p>
              </li>
              <li>Alternatively, you can start the TextGridLab with the command line arguments <code>-data @user.home/TextGridLab-Workspace</code> (or likewise).
              </li>
            </ol>
            <h2 id="Troubleshooting-DeployaportableTextGridLabincludingJava">
              Deploy a portable TextGridLab including Java
            </h2>
            <p>
              Sometimes it may be desireable to deploy the TextGridLab in a setting where there is no recent Java installed on the client computers – e.g., in a workshop situation. In this case it is possible to create a TextGridLab installation that includes its own JRE, e.g., on USB drives. To do so, put the JRE in a subdirectory named <code>jre</code> of the TextGridLab. The TextGridLab will automatically use this Java installation.
            </p>
            <style type="text/css">
            /**/
            div.rbtoc1445958905480 {padding: 0px;}
            div.rbtoc1445958905480 ul {list-style: disc;margin-left: 0px;}
            div.rbtoc1445958905480 li {margin-left: 0px;padding-left: 0px;}

            /**/
            </style>
            <div class="toc-macro rbtoc1445958905480">
              <ul class="toc-indentation">
                <li>
                  <a href="#Troubleshooting-Troubleshooting">Troubleshooting</a>
                  <ul class="toc-indentation">
                    <li>
                      <a href="#Troubleshooting-Authentificationfails(Windows10)">Authentification fails (Windows 10)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-TextGridLabdoesn'tstart:JVMerror13(Windows,Linux)">TextGridLab doesn't start: JVM error 13 (Windows, Linux)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Browsercomponentsdonotwork(Linux)">Browser components do not work (Linux)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-ProblemsextractingtheTextGridLabZIP(WindowsXPonly)">Problems extracting the TextGridLab ZIP (Windows XP only)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-AdvancedUnicodecharactersnotdisplayedcorrectly(WindowsXPonly)">Advanced Unicode characters not displayed correctly (Windows XP only)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Helpsystemdoesnotwork(Windows)">Help system does not work (Windows)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Installationof,e.g.,oXygenabortsreproduciblyaftersomedownloadtime(Windows)">Installation of, e.g., oXygen aborts reproducibly after some download time (Windows)</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-Antivirussoftware(Windows)">Antivirus software (Windows)</a>
                    </li>
                  </ul>
                </li>
                <li>
                  <a href="#Troubleshooting-AdvancedInstallationScenarios">Advanced Installation Scenarios</a>
                  <ul class="toc-indentation">
                    <li>
                      <a href="#Troubleshooting-InstalltheTextGridLabonceformultipleusers">Install the TextGridLab once for multiple users</a>
                    </li>
                    <li>
                      <a href="#Troubleshooting-DeployaportableTextGridLabincludingJava">Deploy a portable TextGridLab including Java</a>
                    </li>
                  </ul>
                </li>
              </ul>
            </div>
            <p>
               
            </p>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
